# Class DimensionUIResource

java.lang.Object
java.awt.geom.Dimension2D
java.awt.Dimension
javax.swing.plaf.DimensionUIResource

All Implemented Interfaces:
  `Serializable, Cloneable, UIResource`

public class DimensionUIResource extends Dimension implements UIResource
A subclass of `Dimension` that implements `UIResource`. UI classes that use `Dimension` values for default properties should use this class.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  - `UIResource`

## Field Summary

### Fields declared in class Dimension

`height, width`
Modifier and Type
Field
Description
`int`
`height`
The height dimension; negative values can be used.
`int`
`width`
The width dimension; negative values can be used.

## Constructor Summary

Constructors
Constructor
Description
`DimensionUIResource(int width, int height)`
Constructs a `DimensionUIResource`.

## Method Summary

### Methods declared in class Dimension

`equals, getHeight, getSize, getWidth, hashCode, setSize, setSize, setSize, toString`
Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Checks whether two dimension objects have equal values.
`double`
`getHeight()`
Returns the height of this `Dimension` in double precision.
`Dimension`
`getSize()`
Gets the size of this `Dimension` object.
`double`
`getWidth()`
Returns the width of this `Dimension` in double precision.
`int`
`hashCode()`
Returns the hash code for this `Dimension`.
`void`
`setSize(double width, double height)`
Sets the size of this `Dimension` object to the specified width and height in double precision.
`void`
`setSize(int width, int height)`
Sets the size of this `Dimension` object to the specified width and height.
`void`
`setSize(Dimension d)`
Sets the size of this `Dimension` object to the specified size.
`String`
`toString()`
Returns a string representation of the values of this `Dimension` object's `height` and `width` fields.

### Methods declared in class Dimension2D

`clone, setSize`
Modifier and Type
Method
Description
`Object`
`clone()`
Creates a new object of the same class as this object.
`void`
`setSize(Dimension2D d)`
Sets the size of this `Dimension2D` object to match the specified size.

### Methods declared in class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### DimensionUIResource

public DimensionUIResource(int width, int height)
Constructs a `DimensionUIResource`.

Parameters:
  `width` - the width
  `height` - the height